Retrieve configuration of custom fields

Use this endpoint to retrieve the latest configuration of custom fields defined for master data, as configured by your company administrator in the TIS application.

Path Params
enum
required

Unique identifier of the config entity

Query Params
string

Implemented filter mappings:
name - customFieldConfigName
groupName - Bank Account Group
type - BOOLEAN, CURRENCY_AMOUNT, EMAIL, DATE, FORMATED_TEXT, NUMERIC, TEXT, SELECTION_LIST
order - 1,2,3
required - true/false
For example, when you need to fetch all "required" custom config that belong to a name "customFieldConfigName" you need to run this query
filter=name=customFieldConfigName required=true

Condition values have to be escaped if they contain whitespace or operator symbols. To do so, enclose the whole value in double quotation marks
e.g. filter=name="Custom Field Config Name" required=true.


The following operators are supported in a filter term

OperatorNameDescriptionExample
=EqualExact match of a single valuename=customFieldConfigName
!=Not EqualNegated equalname!=customFieldConfigName
:InMatches field against list of comma separated valuesname:customFieldConfigName,optionalCustomFieldConfigName,additionalCustomFieldConfigName
!:Not InNegated Inname!:customFieldConfigName,optionalCustomFieldConfigName,additionalCustomFieldConfigName
<field>ExistsA field without operator. Is true if the field is not null name
<field>!Not ExistsNegated exists. Is true if field is nullname!


The Equal (=) and Not-Equal (!=) operators can be used together with wildcards to match partial strings. A single asterisk (*) can be placed at the very start or end of a value to match any number of characters there.

Usage Name Description
customFieldConfigName=foo* or customFieldConfigName="foo"* Starts with Matches any string starting with the value.
customFieldConfigName=*foo or customFieldConfigName=*"foo" Ends with Matches any string ending with the value.
customFieldConfigName=*foo* or customFieldConfigName=*"foo"* Like Matches any string containing the value.


integer
Defaults to 1

Specify which page of results to return, one-based i.e. starts from 1

integer
Defaults to 50

specifies the number of items per page

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json